//LCD Screen code
#include <LiquidCrystal.h>
LiquidCrystal lcd(6,7,8,2,3,4,5);

//Shift register pins
int LATCH = 11;
int DATA = 12;
int CLOCK = 10;

//Button pins
int player1 = 14;
// PART 1.1: ADD player1
int player2 = 15;

boolean pressed_p1;
// PART 1.2: ADD pressed_p2
boolean pressed_p2;

// CREATE YOUR VARIABLES HERE!
// PART 3.1: CREATE THE VARIABLE CALLED gameSpeed

// PART 4.1: CREATE THE VARIABLE CALLED timeLimiit

// PART 4.2: CREATE THE VARIABLE CALLED timer

// PART 8.1: CREATE THE VARIABLE CALLED winner


void setup() {
  // Setting up the Led shift register
  pinMode(LATCH, OUTPUT);
  pinMode(DATA, OUTPUT);
  pinMode(CLOCK, OUTPUT);
  
  //Set up the LCD screen
  lcd.begin(16, 2);

  pinMode(player1, INPUT);
  // PART 1.3: REPEAT FOR PLAYER 2
  pinMode(player2, INPUT);
  digitalWrite(player1, HIGH);
  // PART 1.4: REPEAT FOR PLAYER 2
  digitalWrite(player2, HIGH);
}

void loop() {
  // PART 2.1 - 2.6: READY SET GO!
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("READY!");
  delay(700);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("SET!");
  delay(700);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("GO!");
  lcd.setCursor(0,1);
  lcd.print("P1     |     P2");
  delay(700);
  

  // PART 3.2: LIGHTS GO FROM RIGHT TO LEFT


  // PART 4.4: SET timer TO 0 

  // PART 5.1: SET pressed_p1 TO false
  
  // PART 4.5 - 4.7 and 5.2 - 5.4: MAKE AND EDIT YOUR WHILE LOOP CODE HERE
  
  
  // PART 8.2 - 8.4: CHECK IF TIME RAN OUT, PUT YOUR IF STATEMENT HERE:

    
  // PART 3.3: LIGHTS GO FROM LEFT TO RIGHT

  
  // PART 6.2: COPY YOUR CODE FROM THE WHILE LOOP ABOVE TO HERE AND UPDATE IT FOR PLAYER 2

  
  //PART 8.6: REPEAT WHAT YOU DID FOR 8.2 - 8.4 HERE FOR THE OTHER PLAYER


  
  // PART 2.7 - 2.8: GAME OVER!
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("GAME OVER!"); 
  lcd.setCursor(0,1);
  delay(3000);
  
  // PART 8.7 - 8.8: PRINT WHO ONE HERE WITH AN IF/ELSE IF STATEMENT:

}



// this is a function which given a number will display it on the shift register
void displayBinary(int number) {
  // un-latch the shift register
  digitalWrite(LATCH, LOW);
  // write the data to the register
  shiftOut(DATA, CLOCK, LSBFIRST, number);
  // re-latch the shift register
  digitalWrite(LATCH, HIGH);
}
  
